JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class Advapi32Util.EnumKey

    java.lang.Object
      com.sun.jna.platform.win32.Advapi32Util.EnumKey

Enclosing class:
  Advapi32Util

    public static class Advapi32Util.EnumKey

extends java.lang.Object

Field Summary
`int` `dwIndex`
`WinReg.HKEY` `hKey`
`IntByReference` `lpcbClass`
`char[]` `lpClass`
`IntByReference` `lpcName`
`WinBase.FILETIME` `lpftLastWriteTime`
`char[]` `lpName`

Constructor Summary
`Advapi32Util.EnumKey()`
`Advapi32Util.EnumKey(WinReg.HKEY hKey, int dwIndex)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hKey

    public WinReg.HKEY hKey

### dwIndex

    public int dwIndex

### lpName

    public char[] lpName

### lpcName

    public IntByReference lpcName

### lpClass

    public char[] lpClass

### lpcbClass

    public IntByReference lpcbClass

### lpftLastWriteTime

    public WinBase.FILETIME lpftLastWriteTime

Constructor Detail

### Advapi32Util.EnumKey

    public Advapi32Util.EnumKey()

### Advapi32Util.EnumKey

    public Advapi32Util.EnumKey(WinReg.HKEY hKey,
                                int dwIndex)

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.